.gallery-container {
    display: grid;
    grid-column-gap: 16px;
    grid-row-gap: var(--default-product-cards-row-margin);
    margin-bottom: var(--default-product-cards-row-margin);
}
.gallery-container:not(.squared-list) {
    grid-template-columns: repeat(5, 1fr);
}
.bestsellers-section .gallery-container:not(.squared-list),
.search-page .gallery-container:not(.squared-list){
    grid-template-columns: repeat(5,minmax(0, 1fr));
}
.gallery-container.squared-list {
    grid-template-columns: repeat(6, 1fr);
}

.product-card-wrapper{
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.product-card-wrapper:not(.squared) {
    max-height: none;
}

.gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1),
.gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1){
    grid-row: span 2;
    grid-column: span 2;
}
.gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) {
    max-height: none;
}

.gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-image picture,
.gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-image picture{
    width: 100%;
    height: 100%;
    display: block;
}

.gallery-container .product-card-wrapper .product-card-image picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-image.wide picture img,
.gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-image.wide picture img{
    height: 100%;
}

.product-card-image-wrapper {
    width: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.product-card-wrapper:not(.squared) .product-card-image-wrapper {
    /*max-height: 321px;*/
    max-height: none;
    aspect-ratio: 1.5;
}
.product-card-wrapper.squared .product-card-image-wrapper {
    aspect-ratio: 1;
}
.gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-image-wrapper {
    height: 100%;
}

.gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-image-wrapper {
    max-height: none;
    height: 100%;
}

.product-card-text-wrapper {
    height: 28px;
    padding: 0px 8px;
}

.product-card-title{
    line-height: 28px;
    color: var(--default-text-color);
    font-family: var(--headers-font-family);
    font-size: 18px;
    font-weight: var(--font-weight-regular);
    text-align: left;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: block;
    text-decoration: none;
    height: 28px;
    overflow: hidden;
}
.product-card-wrapper .product-card-title {
    max-width: 292px;
}

.product-card-image{
    height: 100%;
    width: 100%;
    overflow: hidden;
    display: block;
    border-radius: 2px;
}
.product-card-wrapper:not(.squared) .product-card-image {
    aspect-ratio: 1.5;
}
.product-card-wrapper.squared .product-card-image {
    aspect-ratio: 1;
}

.product-card-prices {
    flex-direction: row;
    align-items: center;
    gap: 4px;
}

.product-card-image picture {
    object-fit: cover;
    object-position: center;
    width: auto;
    height: auto;
}

.product-card-image-controls{
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: space-between;
    position: absolute;
    bottom: 16px;
    left: 16px;
    right: 16px;
    height: 34px;
}

.product-card-label-icon {
    width: 24px;
    height: 24px;
    background-image: url(/img/redesign/icons/price-tag.svg);
}

.product-card-prices-cont,.product-card-favorites-cont{
    border-radius: 30px;
    min-width: auto;
    background: rgba(255, 255, 255, 0.79);
    box-shadow: 0px 2px 40px 0px rgba(94, 94, 94, 0.20);
    backdrop-filter: blur(2px);
    display: flex;
    height: 34px;
    padding: 4px 10px;
    justify-content: space-between;
    align-items: center;
    gap: 4px;
}

.product-card-favorites-cont{
    display: flex;
    gap: 3px;
    width: auto;
    min-width: auto;
    color: var(--default-text-color);
    font-family: var(--body-font-family);
    font-size: 14px;
    font-weight: var(--font-weight-regular);
    line-height: 24px;
}

.product-card-favorites-block{
    display: flex;
    flex-direction: row;
    gap: 4px;
    align-items: center;
}

.product-card-price-original{
    color: var(--default-text-color);
    font-family: var(--body-font-family);
    font-size: 14px;
    font-weight: var(--font-weight-semilight);
    line-height: 26px;
    text-decoration: line-through;
    opacity: 0.5;
}
.product-card-prices .product-card-price-original,
.product-card-prices .product-card-price-discount {
    line-height: 1;
}

.product-card-price-discount{
    color: var(--second-text-color);
    font-family: var(--body-font-family);
    font-size: 16px;
    font-weight: var(--font-weight-regular);
    line-height: 26px;
}

.product-card-favorites-btn {
    width: 40px;
    height: 40px;
    /*background-image: url(/img/redesign/icons/favorites.svg);*/
    transition: background-color 0.2s ease-in-out;
    cursor: pointer;
}
.product-card-favorites-btn:not(:hover) {
    background-color: var(--color-2);
}
.product-card-favorites-btn:hover {
    background-color: #232323
}
.product-card-favorites-btn:not(.icon-heart-filled) .active,
.product-card-favorites-btn.icon-heart-filled .default {
    display: none;
}

.gallery-subcats-slider-wrapper {
    margin-top: var(--default-product-cards-row-margin);
}

.gallery-pagination-cont {
    gap: var(--default-product-cards-row-margin);
    margin-bottom: var(--default-vertical-margin);
}

.category-content .seo-text-wrapper{
    padding-bottom: 24px;
}

.category-content .breadcrumbs-block{
    margin-bottom: var(--default-vertical-margin);
}

.gallery-header-cont-wrapper{
    gap: 16px;
    margin: 40px 37px;
}

.gallery-subcats-slider-wrapper + .gallery-header-cont-wrapper {
    margin-top: 40px;
}

.gallery-header-cont-wrapper {
    margin-top: 20px;
}

.gallery-header-cont-wrapper .category-header{
    color: var(--brand-black-color);
    font-family: var(--headers-font-family);
    font-size: 32px;
    font-weight: var(--font-weight-heavy);
    line-height: 40px;
}
.field .emulated-select.tags-filters-block .color-filters-list__color-item {
    width: auto;
    white-space: break-spaces;
}

.field .emulated-select.tags-filters-block:not(.opened):hover {
    background-color: var(--bg-khaki);
}

.field .emulated-select.tags-filters-block {
    background-color: #f6f6f6;
    min-height: 44px;
    cursor: pointer;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.25);
}

.emulated-select.tags-filters-block.opened {
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
}

.tags-filters-block.opened div.tags-filters-list {
    display: flex;
    z-index: 2;
    top: 60px;
    min-width: 228px;
    list-style-type: none;
    background-color: #f6f6f6;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0px 0px 2px rgb(0 0 0 / 25%);
    padding-bottom: 8px;
}

.tags-filters-block.opened div.tags-filters-list.common-tags-list {
    max-height: 408px;
    overflow-y: scroll;
}

.tags-filters-block.opened div.tags-filters-list .tags-filters-list-item {
    padding:8px 16px;
    white-space: nowrap;
    color: var(--brand-black-color);
    font-family: var(--body-font-family);
    font-size: 16px;
    font-weight: var(--font-weight-semilight);
    line-height: 24px;
    background-color: #fff;
}

.sidebar-color-example {
    display: flex;
    width: 24px;
    height: 24px;
    border-radius: 2px;
    border: 1px solid rgba(149, 149, 149, 0.30);
}

.tags-filters-list li .tags-filters-list-item {
    gap: 16px;
    align-items: center;
    height: 26px;
}

.field .filters-radiobutton-block {
    display: flex;
    width: 24px;
    height: 24px;
    margin: 0px;
    padding: 0px;
    accent-color: var(--brand-black-color);
    position: relative;
}

.field .filters-radiobutton-block input[type="radio"]{
    width: 0px;
    height: 0px;
    display: block;
    opacity: 0;
    position: absolute;
    top: 0px;
    left: 0px;
}

.filter-radiobutton-custom{
    width: 24px;
    height: 24px;
    background-image: url(/img/redesign/icons/icon-radio.svg);
    cursor:pointer;
}

input[type="radio"]:checked + .filter-radiobutton-custom{
    background-image: url(/img/redesign/icons/icon-radio-checked.svg);
}

.tags-filters-block.opened div.tags-filters-list .tags-filters-list-item:hover {
    background-color: #f6f6f6;
}

.gallery-filters-block-wrapper:not(.gallery-reset-filters-btn-wrapper) {
    min-width: 228px;
}
.gallery-filters-block-wrapper.gallery-reset-filters-btn-wrapper {

}
.gallery-filters-block-wrapper .gallery-reset-filters-btn {
    padding-left: 12px;
    padding-right: 12px;
    min-width: inherit;
}

.gallery-filters-block-wrapper.field .emulated-select {
    padding-right: 40px;
}

.gallery-filters-block-wrapper.field .emulated-select.opened:before,
.gallery-filters-block-wrapper.field .emulated-select.opened:after {
    position: absolute;
    left: 0;
    right: 0;
    width: 0;
    margin: 0 auto;
    border: 10px solid;
    pointer-events: none;
    content: "";
}

.gallery-filters-block-wrapper.field .emulated-select.opened:before {
    bottom: -16px;
    border-color: transparent transparent #fff transparent;
    z-index: 3;
}

.gallery-filters-block-wrapper.field .emulated-select.opened:after {
    bottom: -15px;
    border-color: transparent transparent #ececec transparent;
    z-index: 2;
}

.gallery-filter-list {
    gap: 10px;
}

.mobile-filter-group-header{
    display: none;
}

.gallery-filters-wrapper-mobile{
    height: auto;
}

.gallery-filters-wrapper-mobile, .gallery-filters-cont-left,.gallery-filters-cont-right{
    gap: 24px;
    flex-direction: row;
}

.gallery-filters-wrapper-mobile.align-left{
    gap:0px;
}

.gallery-filters-cont-left{
    flex: 0 0 auto;
}

.gallery-filters-cont-right{
    width: 100%;
}

.gallery-filters-cont-right{
    justify-content: space-between;
    flex-direction: row;
}

.gallery-reset-filters-btn.btn{
    height: 40px;
    text-transform: none;
    align-items: center;
    font-family: var(--body-font-family);
    font-weight: var(--font-weight-semilight);
    font-size: 14px;
    line-height: 24px;
}

.gallery-subcats-slider {
    padding-bottom: 0px;
    overflow-x: hidden;
}

.gallery-subcats-slider-wrapper {
    padding-bottom: 0px;
    position: relative;
    margin-left: 37px;
}

.gallery-subcats-slider-wrapper .subcats-slider-btn {
    position: absolute;
    top: calc(50% - 30px);
}
.gallery-subcats-slider-wrapper .subcats-slider-btn.left {
    left: -21px;
}
.gallery-subcats-slider-wrapper .subcats-slider-btn.right {
    right: 16px;
}

.subcats-slider-btn.left {
    justify-content: left;
}

.subcats-slider-btn.right {
    justify-content: right;
}

.subcats-slider-btn {
    width: 32px;
    height: 32px;
}

button.d-flex.filter-item-scroll.js-slider-prev-arrow, button.d-flex.filter-item-scroll.js-slider-next-arrow {
    width: 32px;
    height: 32px;
    border-radius: 16px;
    background: var(--second-text-color);
    cursor: pointer;
    z-index: 9;
    padding: 0px;
    min-height: auto;
    position: relative;
}

button.d-flex.filter-item-scroll.js-slider-prev-arrow:hover,
button.d-flex.filter-item-scroll.js-slider-next-arrow:hover {
    background: var(--brand-hover-black-color);
}

button.d-flex.filter-item-scroll.js-slider-prev-arrow:active,
button.d-flex.filter-item-scroll.js-slider-next-arrow:active {
    background: var(--brand-pressed-black-color);
}

.subcats-slider-btn span.icon-arrow-left, .subcats-slider-btn span.icon-arrow-right {
    width: 16px;
    height: 16px;
    display: block;
    background-size: contain;
    position: absolute;
    top: 8px;
}

.subcats-slider-btn span.icon-arrow-left {
    background-image: url(/img/redesign/icons/icon-angle-left-white.svg);
    left: 6px;
}

.subcats-slider-btn span.icon-arrow-right {
    background-image: url(/img/redesign/icons/icon-angle-right-white.svg);
    right: 8px;
}

.subcats-slider-item {
    width: 236px;
    height: 272px;
    margin: 0px 0px;
}

.subcats-slider-item-picture {
    border-radius: 3px;
    height: 236px;
    width: 236px;
    object-fit: contain;
    overflow: hidden;
    border: 1px solid #fff;
}

.subcats-slider-item-text {
    margin-top: 8px;
    color: var(--default-text-color);
    font-family: var(--body-font-family);
    font-size: 18px;
    font-weight: var(--font-weight-regular);
    line-height: 28px;
    text-align: left;
}

.swiper-slide-current-category .subcats-slider-item-picture {
    border: 1px solid var(--brand-pressed-color);
}

.swiper-slide-current-category .subcats-slider-item-text {
    color: var(--brand-pressed-color);
}

.swiper-slide:hover .subcats-slider-item-picture {
    border: 1px solid var(--brand-hover-color);
}

.swiper-slide:hover .subcats-slider-item-text {
    color: var(--brand-hover-color);
}

.subcats-slider-item-wrapper {
    border-radius: 3px;
    border: 1px solid transparent;
    width: 236px;
    height: 272px;
    margin-right: 16px;
}

.subcats-slider-item-wrapper.active {
    border: 1px solid var(--bg-orange);
}

.gallery-filters-block-wrapper.empty-filter-wrapper{
    display: none;
}

.tags-filter-item-wrapper {
    justify-content: space-between;
    cursor: pointer;
}

.tags-filter-text-wrapper {
    align-items: center;
    gap: 16px;
}

.bestsellers-section .js-gallery-list.squared-list .squared.js-product-card-wrapper{
    display: none;
}

@media (min-width: 768px) {
    .gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-prices,
    .gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-prices{
        flex-direction: row;
        align-items: center;
        gap: 4px;
    }
    .gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-prices .product-card-price-original,
    .gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-prices .product-card-price-discount,
    .gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-prices .product-card-price-original,
    .gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-prices .product-card-price-discount{
        line-height: 26px;
    }
}

@media (min-width: 375px) and (max-width: 767px) {
    .gallery-container.category-page .product-card-wrapper .product-card-prices {
        flex-direction: row;
        align-items: center;
        gap: 4px;
    }
    .gallery-container.category-page .product-card-wrapper .product-card-prices .product-card-price-original,
    .gallery-container.category-page .product-card-wrapper .product-card-prices .product-card-price-discount {
        line-height: 26px;
    }
}

@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 1024px) and (max-width: 1280px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 1024px) and (max-width: 1280px) {
    .gallery-filters-cont-left{
        flex-direction: row;
    }

    .gallery-filters-wrapper-mobile{
        flex-direction: column;
    }

    .gallery-filters-cont-left, .gallery-filters-cont-right{
        width: 100%;
    }

    .gallery-filters-cont-right{
        justify-content: space-between;
        flex-direction: row;
    }

    .gallery-filters-block-wrapper.empty-filter-wrapper{
        display: block;
    }

    .gallery-reset-filters-btn.btn{
        display: inline-block;
        float: right;
    }
}

@media (min-width: 768px) {
    @media (min-width: 1470px) {
        :root {
            --gallery-filters-block-item-width: auto;
            --gallery-filters-block-item-min-width: 228px;
        }
    }
    @media (min-width: 1150px) and (max-width: 1469px) {
        :root {
            --gallery-filters-block-item-width: auto;
            --gallery-filters-block-item-min-width: 140px;
        }

        .tags-filters-block .tags-filters-list {
            left: -22px;
            right: -22px;
        }
    }
    @media (min-width: 768px) and (max-width: 1149px) {
        :root {
            --gallery-filters-block-item-width: calc(33% - 14px);
            --gallery-filters-block-item-min-width: auto;
        }
    }

    .gallery-filters-block-wrapper:not(.gallery-reset-filters-btn-wrapper) {
        width: var(--gallery-filters-block-item-width);
        min-width: var(--gallery-filters-block-item-min-width);
    }
}

@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 1920px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 1920px) {
    .bestsellers-section .js-gallery-list.squared-list .squared.js-product-card-wrapper:nth-of-type(-n+15){
        display: flex;
    }
}

@media (min-width: 1024px) and (max-width: 1919px) {
    .bestsellers-section .js-gallery-list.squared-list .squared.js-product-card-wrapper:nth-of-type(-n+12){
        display: flex;
    }
}

@media (-webkit-max-device-pixel-ratio: 1.25) {
    @media (min-width: 1440px) and (max-width: 1920px) {
        .gallery-container:not(.squared-list),
        .gallery-container.squared-list {
            grid-template-columns: repeat(4, 1fr);
        }
    }
}
/*condition for 3 columns on Mac, if needed*/
@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 1024px) and (max-width: 1439px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 1024px) and (max-width: 1919px) {
    .gallery-container:not(.squared-list) {
        grid-template-columns: repeat(3, 1fr);
    }
    .bestsellers-section .gallery-container:not(.squared-list),
    .search-page .gallery-container:not(.squared-list){
        grid-template-columns: repeat(3,minmax(0, 1fr));
    }
    .gallery-container.squared-list {
        grid-template-columns: repeat(4, 1fr);
    }

    .bestsellers-section .js-gallery-list.squared-list .squared.js-product-card-wrapper:nth-of-type(-n+12){
        display: flex;
    }

    .product-card-wrapper:not(.squared){
        /*max-height: 349px;*/
        max-height: none;
    }

    .product-card-wrapper:not(.squared) .product-card-image-wrapper {
        /*max-height: 312px;*/
        max-height: none;
        /*aspect-ratio: 1.5;*/
    }

    .product-card-text-wrapper{
        height: 28px;
        line-height: 28px;
    }

    .gallery-filters-wrapper-mobile {
        flex-direction: column;
    }

    @media (max-width: 1279px) {
        .gallery-container.squared-list {
            grid-template-columns: repeat(3, 1fr);
        }

        .bestsellers-section .js-gallery-list.squared-list .squared.js-product-card-wrapper:nth-of-type(-n+15){
            display: flex;
        }
    }
}

@media (-webkit-max-device-pixel-ratio: 1.99) and (min-width: 768px) and (max-width: 1023px), (-webkit-min-device-pixel-ratio: 2) and (min-width: 768px) and (max-width: 1023px) {
    .gallery-container {
        grid-column-gap: 24px;
        grid-row-gap: 32px;
        margin-bottom: 32px;
    }
    .gallery-container:not(.squared-list) {
        grid-template-columns: repeat(2, 1fr);
    }
    .bestsellers-section .gallery-container:not(.squared-list),
    .search-page .gallery-container:not(.squared-list){
        grid-template-columns: repeat(2,minmax(0, 1fr));
    }
    .gallery-container.squared-list {
        grid-template-columns: repeat(3, 1fr);
    }

    .bestsellers-section .js-gallery-list.squared-list .squared.js-product-card-wrapper:nth-of-type(-n+14){
        display: flex;
    }

    .product-card-wrapper:not(.squared) {
        /*max-height: 282px;*/
        max-height: none;
    }

    .product-card-wrapper:not(.squared) .product-card-image-wrapper {
        /*max-height: 250px;*/
        max-height: none;
        aspect-ratio: 1.5;
    }

    .product-card-text-wrapper{
        height: 24px;
        line-height: 24px;
    }

    .product-card-title{
        max-width: 260px;
        font-size: 16px;
        height: 24px;
        line-height: 24px;
    }

    .gallery-header-cont-wrapper .category-header{
        font-size: 20px;
        line-height: 30px;
    }

    .gallery-header-cont-wrapper{
        gap: 12px;
        margin: 32px 20px;
    }

    .gallery-subcats-slider-wrapper + .gallery-header-cont-wrapper {
        margin-top: 32px;
    }

    .gallery-header-cont-wrapper {
        margin-top: 16px;
    }

    .gallery-filters-wrapper-mobile{
        gap: 16px;
    }

    .gallery-filters-cont-left{
        flex-direction: row;
    }

    .gallery-filters-wrapper-mobile{
        flex-direction: column;
    }

    .gallery-filters-cont-left, .gallery-filters-cont-right{
        width: 100%;
    }

    .gallery-filters-cont-right {
        justify-content: space-between;
        flex-direction: row;
    }

    .gallery-subcats-slider-wrapper {
        margin-left: 20px;
    }

    .gallery-filters-block-wrapper.empty-filter-wrapper{
        display: block;
    }

    .gallery-reset-filters-btn.btn{
        display: inline-block;
        float: right;
    }

    .product-card-favorites-block {
        flex-direction: column;
        align-items: end;
    }

    .product-card-image-controls {
        align-items: end;
    }

    .gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-favorites-block,
    .gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-favorites-block{
        flex-direction: row;
        align-items: center;
    }

    .gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-image-controls,
    .gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-image-controls{
        align-items: center;
    }

    @media (max-width: 992px) {
        .gallery-container.squared-list {
            grid-template-columns: repeat(2, 1fr);
        }

        .bestsellers-section .js-gallery-list.squared-list .squared.js-product-card-wrapper:nth-of-type(-n+14){
            display: flex;
        }
    }
}

@media (max-width: 992px) {
    .gallery-container.category-page.squared-list .product-card-wrapper:not(.squared):nth-of-type(57n+1),
    .gallery-container.category-page.squared-list .product-card-wrapper.squared:nth-of-type(57n+1){
        grid-row: span 2;
        grid-column: span 2;
    }
    .gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-image-wrapper {
        height: auto;
    }
}

@media (-webkit-max-device-pixel-ratio: 1.99) and (max-width: 767px), (-webkit-min-device-pixel-ratio: 2) and (max-width: 767px) {
    .gallery-container {
        grid-row-gap: 24px;
        margin-bottom: 24px;
    }
    .gallery-container:not(.squared-list) {
        grid-template-columns: repeat(1, 1fr);
        grid-column-gap: 0px;
    }
    .bestsellers-section .gallery-container:not(.squared-list),
    .search-page .gallery-container:not(.squared-list){
        grid-template-columns: repeat(1,minmax(0, 1fr));
    }
    .gallery-container.squared-list {
        grid-template-columns: repeat(2, 1fr);
    }

    .bestsellers-section .js-gallery-list.squared-list .squared.js-product-card-wrapper:nth-of-type(-n+14){
        display: flex;
    }

    .product-card-wrapper:not(.squared){
        max-height: 407px;
    }

    .gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) {
        grid-row: 1 / 2;
        grid-column: 1 / 2;
        max-height: 407px;
    }

    .product-card-image {
        width: 100%;
        height: 100%;
        overflow: hidden;
        aspect-ratio: 1;
        display: block;
        border-radius: 0;
    }

    .product-card-image-wrapper{
        max-height: 100%;
        aspect-ratio: 1;
    }

    .gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-image-wrapper,
    .gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-image-wrapper{
        max-height: 100%;
        height: auto;
    }

    .product-card-image img.product-card-picture-src {
        object-fit: cover;
        width: 100%;
        height: 100%;
    }

    .gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-image picture img,
    .gallery-container.category-page .product-card-wrapper.squared:nth-of-type(57n+1) .product-card-image picture img{
        height: 100%;
        width: 100%;
    }

    .product-card-text-wrapper{
        height: 24px;
        line-height: 24px;
    }

    .product-card-text-wrapper{
        height: 24px;
        line-height: 24px;
    }

    .product-card-title{
        max-width: 260px;
        font-size: 16px;
        height: 24px;
        line-height: 24px;
    }

    .gallery-show-more-btn.btn{
        line-height: 24px;
    }

    .gallery-header-cont-wrapper .category-header{
        font-size: 28px;
        line-height: 28px;
    }

    .gallery-header-cont-wrapper{
        gap: 8px;
        margin: 24px 16px;
    }

    .gallery-subcats-slider-wrapper + .gallery-header-cont-wrapper {
        margin-top: 24px;
    }

    .gallery-header-cont-wrapper {
        margin-top: 12px;
    }

    .gallery-filter-list {
        justify-content: space-between;
    }

    /*.tags-filters-block.opened div.tags-filters-list,*/
    /*.tags-filters-block.opened div.tags-filters-list {*/
    /*    padding-top: 12px;*/
    /*}*/

    .gallery-filters-block-wrapper {
        width: calc(100% / 2 - 8px);
    }

    .field .emulated-select.tags-filters-block .color-filters-list__color-item {
        color: #000;
    }

    .gallery-filters-cont-left {
        padding-bottom: 8px;
        padding-top: 8px;
    }

    .gallery-filters-cont-left .gallery-filter-header {
        display: none;
    }

    .gallery-filters-wrapper {
        flex-direction: column-reverse;
    }

    .mobile-filter-group-header{
        display: flex;
        cursor: pointer;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .mobile-filter-group-header.opened{
        margin: 0px 0px 16px;
    }

    .mobile-filter-group-label {
        color: var(--brand-black-color);
        font-family: var(--body-font-family);
        font-size: 16px;
        font-weight: var(--font-weight-regular);
        line-height: 26px;
    }

    .mobile-filter-group-header .mobile-filter-group-arrow {
        width: 24px;
        height: 24px;
        background-image: url(/img/redesign/icons/icon-angle-down-gray.svg);
    }

    .mobile-filter-group-header.opened .mobile-filter-group-arrow {
        background-image: url(/img/redesign/icons/icon-angle-up-gray.svg);
    }

    .gallery-filters-wrapper-mobile{
        height: 0px;
        overflow: hidden;
    }

    .mobile-filter-group-header.js-toggle-class.opened + .gallery-filters-wrapper-mobile{
        height: auto;
        overflow: visible;
    }

    .gallery-filters-wrapper-mobile, .gallery-filters-cont-left,.gallery-filters-cont-right{
        gap: 12px;
        flex-direction: column;
    }

    .gallery-filters-cont-left, .gallery-filters-cont-right, .gallery-reset-filters-btn, .gallery-filters-block-wrapper {
        width: 100%;
    }

    .gallery-filters-wrapper{
        flex-direction: column;
    }

    .gallery-filters-cont-left {
        padding: 0px;
    }

    .gallery-subcats-slider-wrapper {
        margin-top: 24px;
    }

    .gallery-subcats-slider-wrapper {
        margin-left: 16px;
    }

    .gallery-subcats-slider-wrapper .subcats-slider-btn.left {
        left: -12px;
    }

    .product-page .product-card-favorites-block {
        align-items: end;
    }

    .product-card-image-controls {
        align-items: end;
    }

    .product-card-wrapper:not(.squared){
        max-height: none;
    }

    .product-card-wrapper:not(.squared) .product-card-image-wrapper{
        max-height: 100%;
    }

    @media (max-width: 640px) {
        .gallery-container.squared-list {
            grid-template-columns: repeat(1, 1fr);
        }
        .bestsellers-section .js-gallery-list.squared-list .squared.js-product-card-wrapper:nth-of-type(-n+15){
            display: flex;
        }
        .product-card-wrapper:not(.squared) {
            max-height: 100%;
            height: auto;
        }
        .gallery-container.category-page.squared-list .product-card-wrapper:not(.squared):nth-of-type(57n+1),
        .gallery-container.category-page.squared-list .product-card-wrapper.squared:nth-of-type(57n+1){
            grid-row: span 1;
            grid-column: span 1;
        }
        .gallery-container.category-page .product-card-wrapper:not(.squared):nth-of-type(57n+1) .product-card-image-wrapper {
            max-height: 100%;
            height: auto;
            aspect-ratio: 1;
        }
        .product-card-wrapper:not(.squared) .product-card-image-wrapper {
            max-height: 100%;
            aspect-ratio: 1;
        }
        .product-card-wrapper:not(.squared) .product-card-image {
            aspect-ratio: 1;
        }
        .product-card-wrapper{
            min-width: 200px;
        }
    }
}

@media (min-width: 1600px) and (max-width: 1920px) {
    .gallery-container:not(.squared-list) {
        grid-template-columns: repeat(4, 1fr);
    }
    .bestsellers-section .gallery-container:not(.squared-list),
    .search-page .gallery-container:not(.squared-list){
        grid-template-columns: repeat(4,minmax(0, 1fr));
    }
    .gallery-container.squared-list {
        grid-template-columns: repeat(5, 1fr);
    }
}

@media (min-width: 1921px) {
    .gallery-header-cont-wrapper .category-header {
        font-size: 36px;
        font-weight: 600;
        line-height: 46px;
    }
}
